Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.pool
Class ResultSetMetaData

    java.lang.Object
      |
      +--weblogic.jdbc.pool.ResultSetMetaData

public final class ResultSetMetaData
extends java.lang.Object
implements java.sql.ResultSetMetaData

Field Summary
`protected weblogic.jdbc.common.internal.ConnectionEnv` | `cc`
`protected Connection` | `conn`
`protected java.sql.ResultSetMetaData` | `rsmd`

Constructor Summary
`ResultSetMetaData(java.sql.ResultSetMetaData aRsmd, weblogic.jdbc.common.internal.ConnectionEnv aCc, Connection aConn)`

Method Summary
`java.lang.String` | `getCatalogName(int column)`
`java.lang.String` | `getColumnClassName(int column)`
`int` | `getColumnCount()`
`int` | `getColumnDisplaySize(int column)`
`java.lang.String` | `getColumnLabel(int column)`
`java.lang.String` | `getColumnName(int column)`
`int` | `getColumnType(int column)`
`java.lang.String` | `getColumnTypeName(int column)`
`int` | `getPrecision(int column)`
`int` | `getScale(int column)`
`java.lang.String` | `getSchemaName(int column)`
`java.lang.String` | `getTableName(int column)`
`boolean` | `isAutoIncrement(int column)`
`boolean` | `isCaseSensitive(int column)`
`boolean` | `isCurrency(int column)`
`boolean` | `isDefinitelyWritable(int column)`
`int` | `isNullable(int column)`
`boolean` | `isReadOnly(int column)`
`boolean` | `isSearchable(int column)`
`boolean` | `isSigned(int column)`
`boolean` | `isWritable(int column)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rsmd

    protected java.sql.ResultSetMetaData rsmd

### cc

    protected weblogic.jdbc.common.internal.ConnectionEnv cc

### conn

    protected Connection conn

Constructor Detail

### ResultSetMetaData

    public ResultSetMetaData(java.sql.ResultSetMetaData aRsmd,
                             weblogic.jdbc.common.internal.ConnectionEnv aCc,
                             Connection aConn)

Method Detail

### getColumnCount

    public int getColumnCount()
                       throws java.sql.SQLException

  Specified by:
    getColumnCount in interface java.sql.ResultSetMetaData

### isAutoIncrement

    public boolean isAutoIncrement(int column)
                            throws java.sql.SQLException

  Specified by:
    isAutoIncrement in interface java.sql.ResultSetMetaData

### isCaseSensitive

    public boolean isCaseSensitive(int column)
                            throws java.sql.SQLException

  Specified by:
    isCaseSensitive in interface java.sql.ResultSetMetaData

### isSearchable

    public boolean isSearchable(int column)
                         throws java.sql.SQLException

  Specified by:
    isSearchable in interface java.sql.ResultSetMetaData

### isCurrency

    public boolean isCurrency(int column)
                       throws java.sql.SQLException

  Specified by:
    isCurrency in interface java.sql.ResultSetMetaData

### isNullable

    public int isNullable(int column)
                   throws java.sql.SQLException

  Specified by:
    isNullable in interface java.sql.ResultSetMetaData

### isSigned

    public boolean isSigned(int column)
                     throws java.sql.SQLException

  Specified by:
    isSigned in interface java.sql.ResultSetMetaData

### getColumnDisplaySize

    public int getColumnDisplaySize(int column)
                             throws java.sql.SQLException

  Specified by:
    getColumnDisplaySize in interface java.sql.ResultSetMetaData

### getColumnLabel

    public java.lang.String getColumnLabel(int column)
                                    throws java.sql.SQLException

  Specified by:
    getColumnLabel in interface java.sql.ResultSetMetaData

### getColumnName

    public java.lang.String getColumnName(int column)
                                   throws java.sql.SQLException

  Specified by:
    getColumnName in interface java.sql.ResultSetMetaData

### getSchemaName

    public java.lang.String getSchemaName(int column)
                                   throws java.sql.SQLException

  Specified by:
    getSchemaName in interface java.sql.ResultSetMetaData

### getPrecision

    public int getPrecision(int column)
                     throws java.sql.SQLException

  Specified by:
    getPrecision in interface java.sql.ResultSetMetaData

### getScale

    public int getScale(int column)
                 throws java.sql.SQLException

  Specified by:
    getScale in interface java.sql.ResultSetMetaData

### getTableName

    public java.lang.String getTableName(int column)
                                  throws java.sql.SQLException

  Specified by:
    getTableName in interface java.sql.ResultSetMetaData

### getCatalogName

    public java.lang.String getCatalogName(int column)
                                    throws java.sql.SQLException

  Specified by:
    getCatalogName in interface java.sql.ResultSetMetaData

### getColumnType

    public int getColumnType(int column)
                      throws java.sql.SQLException

  Specified by:
    getColumnType in interface java.sql.ResultSetMetaData

### getColumnTypeName

    public java.lang.String getColumnTypeName(int column)
                                       throws java.sql.SQLException

  Specified by:
    getColumnTypeName in interface java.sql.ResultSetMetaData

### isReadOnly

    public boolean isReadOnly(int column)
                       throws java.sql.SQLException

  Specified by:
    isReadOnly in interface java.sql.ResultSetMetaData

### isWritable

    public boolean isWritable(int column)
                       throws java.sql.SQLException

  Specified by:
    isWritable in interface java.sql.ResultSetMetaData

### isDefinitelyWritable

    public boolean isDefinitelyWritable(int column)
                                 throws java.sql.SQLException

  Specified by:
    isDefinitelyWritable in interface java.sql.ResultSetMetaData

### getColumnClassName

    public java.lang.String getColumnClassName(int column)
                                        throws java.sql.SQLException

  Specified by:
    getColumnClassName in interface java.sql.ResultSetMetaData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference